## cinnamon-menus 3.0.2

=== debian/changelog ===
cinnamon-menus (3.0.2-1) unstable; urgency=medium

  [ Margarita Manterola ]
  * Fix dbgsym-migration rules
  * New upstream release.

  [ Maximiliano Curia ]
  * Add new patch: Migrate-away-from-gnome-common-deprecated-vars-and-
    macros.patch (Closes: 829956)
  * Add build dependency on autoconf-archive.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Jul 2016 14:13:11 +0200

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Homepage: http://cinnamon.linuxmint.com
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autoconf-archive,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.30.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-dev
Section: libdevel
Architecture: any
Depends: gir1.2-cmenu-3.0 (= ${binary:Version}),
         libcinnamon-menu-3-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         ${misc:Depends}
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf

override_dh_strip:
	dh_strip --dbgsym-migration='libcinnamon-menu-3-0-dbg (<< 3.0.0-1~)' || dh_strip

override_dh_install:
	dh_install --list-missing

override_dh_auto_clean:
	-dh_auto_clean

## cinnamon-menus 3.0.2+sarah

=== debian/changelog ===
cinnamon-menus (3.0.2+sarah) sarah; urgency=medium

  [ Michael Webster ]
  * Fix a couple issues with incorrect result evaluations when loading desktop files caused by 44ee2de737e53b0
  * Revert 44ee2de737e53b and go back to loading .desktop files *as* GDesktopAppInfo - this is the only way g_desktop_app_info_get_filename() will work properly.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 May 2016 15:45:57 +0100

cinnamon-menus (3.0.1) sarah; urgency=medium

  [ Michael Webster ]
  * entry-directories.c: Monitor mimeinfo.cache file and re-attempt failed .desktop files when it changes (which is usually just after the .desktop file is added, causing loading to fail due to unavailable GAppInfo).  See inline comments.
  * Follow-up to previous commit - retry only those desktop files that failed because of appinfo problems.
  * desktop-entries.c: Refactor to eliminate double-loading of desktop file. Use g_key_file_load_from_file, followed by g_desktop_app_info_new_from_keyfile.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 May 2016 12:54:12 +0100

cinnamon-menus (3.0.0) sarah; urgency=medium

  [ monsta ]
  * configure.ac: drop obsolete macro

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Apr 2016 15:56:27 +0100

cinnamon-menus (2.8.0) rosa; urgency=medium

  * 2.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 14:02:11 +0100

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gnome-common,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.30.0),
               python3 (>= 3.1)
Standards-Version: 3.9.5
X-Python3-Version: >= 3.1

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains debugging symbols.

Package: libcinnamon-menu-3-dev
Architecture: any
Section: libdevel
Depends: gir1.2-cmenu-3.0 (= ${binary:Version}),
         libcinnamon-menu-3-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         ${misc:Depends}
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TYPELIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@ --parallel --with=autoreconf,python3

override_dh_strip:
	dh_strip --dbg-package=libcinnamon-menu-3-0-dbg

override_dh_install:
	sed 's@TYPELIBDIR@${TYPELIBDIR}@' debian/gir1.2-cmenu-3.0.install.in > debian/gir1.2-cmenu-3.0.install
	dh_install --list-missing

override_dh_auto_clean:
	-dh_auto_clean

## cinnamon-menus 3.2.0

=== debian/changelog ===
cinnamon-menus (3.2.0-3mx15+1) mx; urgency=medium

  * Rebuild for MX 15 repository.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jun 2017 18:16:38 -0700

cinnamon-menus (3.2.0-3) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 19:49:51 -0300

cinnamon-menus (3.2.0-2) experimental; urgency=medium

  * Explicitly depend on automake, as some buildds sometimes pull automaken
    instead, causing build failures.

 -- Margarita Manterola <marga@debian.org>  Sat, 17 Dec 2016 16:39:19 -0300

cinnamon-menus (3.2.0-1) experimental; urgency=medium

  [ Margarita Manterola ]
  * New upstream release.
  * Remove obsolete fix_configure patch.
  * Remove obsolete gnome migration patches.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Dec 2016 22:09:03 +0100

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>
Homepage: http://cinnamon.linuxmint.com
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 gnome-pkg-tools,
 gobject-introspection (>= 0.9.12-4~),
 intltool (>= 0.40.0),
 libgirepository1.0-dev (>= 0.10.7-1~),
 libglib2.0-dev (>= 2.30.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cmenu-3.0 (= ${binary:Version}),
 libcinnamon-menu-3-0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.30.0),
 ${misc:Depends}
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends:
 libcinnamon-menu-3-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_strip:
	dh_strip --dbgsym-migration='libcinnamon-menu-3-0-dbg (<< 3.0.0-1~)' || dh_strip

override_dh_install:
	dh_install --list-missing

override_dh_auto_clean:
	-dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## cinnamon-menus 3.2.0+serena

=== debian/changelog ===
cinnamon-menus (3.2.0+serena) serena; urgency=medium

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Clement Lefebvre ]
  * Fixed build

  [ Maximiliano Curia ]
  * Drop gtkdocize invocation
  * Make AX_ macros optional

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:36:18 +0000

cinnamon-menus (3.0.2) sarah; urgency=medium

  [ Michael Webster ]
  * Fix a couple issues with incorrect result evaluations when loading desktop files caused by 44ee2de737e53b0
  * Revert 44ee2de737e53b and go back to loading .desktop files *as* GDesktopAppInfo - this is the only way g_desktop_app_info_get_filename() will work properly.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 May 2016 15:45:57 +0100

## cinnamon-menus 3.4.0

=== debian/changelog ===
cinnamon-menus (3.4.0-1) experimental; urgency=medium

  * New upstream release (3.4.0).
  * Bump group breaks (3.4)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:31:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: cinnamon-menus
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>
+ Fabio Fantoni <fantonifabio@tiscali.it>,
 Homepage: http://cinnamon.linuxmint.com
 Build-Depends:
  autoconf-archive,
@@ -18,7 +16,7 @@
  gobject-introspection (>= 0.9.12-4~),
  intltool (>= 0.40.0),
  libgirepository1.0-dev (>= 0.10.7-1~),
- libglib2.0-dev (>= 2.30.0)
+ libglib2.0-dev (>= 2.30.0),
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-menus.git
@@ -33,6 +31,7 @@
  http://www.freedesktop.org/Standards/menu-spec
  .
  This package contains the shared library.
+Breaks: cinnamon (<< 3.4), cinnamon-control-center (<< 3.4)
 
 Package: libcinnamon-menu-3-dev
 Section: libdevel
@@ -41,7 +40,7 @@
  gir1.2-cmenu-3.0 (= ${binary:Version}),
  libcinnamon-menu-3-0 (= ${binary:Version}),
  libglib2.0-dev (>= 2.30.0),
- ${misc:Depends}
+ ${misc:Depends},
 Replaces: gir-repository-dev (<< 0.6.5-6)
 Description: Cinnamon implementation of the freedesktop menu specification
  The package contains an implementation of the draft
@@ -58,7 +57,7 @@
  libcinnamon-menu-3-0 (= ${binary:Version}),
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Conflicts: gobject-introspection-repository
 Description: GObject introspection data for the Cinnamon menu library
  This package contains introspection data for Cinnamon menu, an
@@ -66,3 +65,4 @@
  .
  It can be used by languages supporting dynamic bindings with
  the GIRepository format.
+Breaks: cinnamon (<< 3.4)

## cinnamon-menus 3.4.0%2Bbetsy

=== debian/changelog ===
cinnamon-menus (3.4.0+betsy) sonya; urgency=medium

  [ leigh123linux ]
  * remove autogenerated files and remove aclocal command from autogen

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 11:46:01 +0100

cinnamon-menus (3.2.0) serena; urgency=medium

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Clement Lefebvre ]
  * Fixed build

  [ Maximiliano Curia ]
  * Drop gtkdocize invocation
  * Make AX_ macros optional

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:36:18 +0000

## cinnamon-menus 3.4.0%2Bsonya

=== debian/changelog ===
cinnamon-menus (3.4.0+sonya) sonya; urgency=medium

  [ leigh123linux ]
  * remove autogenerated files and remove aclocal command from autogen

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 11:46:01 +0100

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autoconf-archive,
               dh-python,
               gnome-common,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.30.0),
               python3 (>= 3.1)
Standards-Version: 3.9.5
X-Python3-Version: >= 3.1

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains debugging symbols.

Package: libcinnamon-menu-3-dev
Architecture: any
Section: libdevel
Depends: gir1.2-cmenu-3.0 (= ${binary:Version}),
         libcinnamon-menu-3-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         ${misc:Depends}
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

## cinnamon-menus 3.6.0

=== debian/changelog ===
cinnamon-menus (3.6.0-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.6.0).
  * Bump group breaks (3.6)
  * Set section libs for libcinnamon-menu-3-0.

  [ Maximiliano Curia ]
  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:06:55 +0200

cinnamon-menus (3.4.0-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:21 +0200

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Homepage: http://cinnamon.linuxmint.com
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 11~),
 dh-autoreconf,
 gnome-pkg-tools,
 gobject-introspection (>= 0.9.12-4~),
 intltool (>= 0.40.0),
 libgirepository1.0-dev (>= 0.10.7-1~),
 libglib2.0-dev (>= 2.30.0),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-menus
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-menus.git

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends:
 libcinnamon-menu-3-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.
Breaks: cinnamon (<< 3.6)

Package: libcinnamon-menu-3-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.
Breaks: cinnamon (<< 3.6), cinnamon-control-center (<< 3.6)

Package: libcinnamon-menu-3-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cmenu-3.0 (= ${binary:Version}),
 libcinnamon-menu-3-0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.30.0),
 ${misc:Depends},
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,3 @@
 
 override_dh_auto_clean:
 	-dh_auto_clean
-
-override_dh_shlibdeps:
-	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## cinnamon-menus 3.6.0%2Bsylvia

=== debian/changelog ===
cinnamon-menus (3.6.0+sylvia) sylvia; urgency=medium

  [ Jasper St. Pierre ]
  * Revert "Memory leak fixes"
  * Memory leak fixes
  * entry-directories: Fix unref

  [ Giovanni Campagna ]
  * entry-directories: don't modify a list while iterating it
  * entry-directories: protect event handling for directories

  [ Florian Müllner ]
  * libmenu: Remove support for legacy-dirs

  [ Jasper St. Pierre ]
  * entry-directories: Only log about invalidations if it was handled

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Oct 2017 13:20:27 +0100

cinnamon-menus (3.4.0) sonya; urgency=medium

  [ leigh123linux ]
  * remove autogenerated files and remove aclocal command from autogen

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 11:46:01 +0100

## cinnamon-menus 3.8.2

=== debian/changelog ===
cinnamon-menus (3.8.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 11:14:26 -0800

cinnamon-menus (3.8.2-1) unstable; urgency=medium

  * New upstream release (3.8.2).
  * Drop dbgsym-migration rule
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:32 +0200

cinnamon-menus (3.8.1-1) experimental; urgency=medium

  * New upstream release (3.8.1).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 May 2018 19:49:00 +0200

cinnamon-menus (3.8.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.8.0).
  * fix mistake in debian/copyright

  [ Maximiliano Curia ]
  * Bump Standards-Version to 4.1.4.
  * Use dh_missing instead of dh_install --list-missing
  * Enable hardening bindnow
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cinnamon-menus
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -11,13 +12,12 @@
  autoconf-archive,
  automake,
  debhelper (>= 11~),
- dh-autoreconf,
  gnome-pkg-tools,
  gobject-introspection (>= 0.9.12-4~),
  intltool (>= 0.40.0),
  libgirepository1.0-dev (>= 0.10.7-1~),
  libglib2.0-dev (>= 2.30.0),
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-menus
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-menus.git
 
@@ -36,7 +36,7 @@
  .
  It can be used by languages supporting dynamic bindings with
  the GIRepository format.
-Breaks: cinnamon (<< 3.6)
+Breaks: cinnamon (<< 3.8)
 
 Package: libcinnamon-menu-3-0
 Section: libs
@@ -49,7 +49,7 @@
  http://www.freedesktop.org/Standards/menu-spec
  .
  This package contains the shared library.
-Breaks: cinnamon (<< 3.6), cinnamon-control-center (<< 3.6)
+Breaks: cinnamon (<< 3.8), cinnamon-control-center (<< 3.8)
 
 Package: libcinnamon-menu-3-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_clean:
	-dh_auto_clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## cinnamon-menus 3.8.2+tara

=== debian/changelog ===
cinnamon-menus (3.8.2+tara) tara; urgency=medium

  [ Michael Webster ]
  * entry-directories.c: restore retry handling to state prior to commit 7516e8d138072d167ea93b3.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2018 11:32:14 +0100

cinnamon-menus (3.8.1) tara; urgency=medium

  [ Michael Webster ]
  * Check for a valid GDesktopAppInfo before calling GDesktopAppInfo methods. Fix retry handling to only apply to new entries. Use g_timeout_add instead of g_idle_add for change signal accumulation.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 14:38:48 +0100

cinnamon-menus (3.8.0) tara; urgency=medium

  * Add CI configuration

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Apr 2018 12:17:38 +0100

cinnamon-menus (3.6.0) sylvia; urgency=medium

  [ Jasper St. Pierre ]
  * Revert "Memory leak fixes"
  * Memory leak fixes
  * entry-directories: Fix unref

  [ Giovanni Campagna ]
  * entry-directories: don't modify a list while iterating it
  * entry-directories: protect event handling for directories

  [ Florian Müllner ]
  * libmenu: Remove support for legacy-dirs

  [ Jasper St. Pierre ]
  * entry-directories: Only log about invalidations if it was handled

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Oct 2017 13:20:27 +0100

## cinnamon-menus 4.0.0

=== debian/changelog ===
cinnamon-menus (4.0.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert from native to (quilt) source format.
  * Remove five year old debian/patches that cause FTBFS (sigh).

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Mar 2019 10:30:36 -0700

cinnamon-menus (4.0.0+cindy) tessa; urgency=medium

  * CI: Remove Mint 18

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 14:07:22 +0000

cinnamon-menus (3.8.2) tara; urgency=medium

  [ Michael Webster ]
  * entry-directories.c: restore retry handling to state prior to commit 7516e8d138072d167ea93b3.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2018 11:32:14 +0100

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autoconf-archive,
               dh-python,
               gnome-common,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.30.0),
               python3 (>= 3.1)
Standards-Version: 3.9.5
X-Python3-Version: >= 3.1

Package: libcinnamon-menu-3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.

Package: libcinnamon-menu-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcinnamon-menu-3-0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains debugging symbols.

Package: libcinnamon-menu-3-dev
Architecture: any
Section: libdevel
Depends: gir1.2-cmenu-3.0 (= ${binary:Version}),
         libcinnamon-menu-3-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         ${misc:Depends}
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.

## cinnamon-menus 4.0.0%2Btessa

=== debian/changelog ===
cinnamon-menus (4.0.0+tessa) tessa; urgency=medium

  * CI: Remove Mint 18

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 14:07:22 +0000

## cinnamon-menus 4.2.0

=== debian/changelog ===
cinnamon-menus (4.2.0-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Oct 2019 11:04:02 -0700

cinnamon-menus (4.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:27:52 +0900

cinnamon-menus (4.2.0-2) experimental; urgency=medium

  [ Fabio Fantoni ]
  * Add devhelp docs

  [ Norbert Preining ]
  * Finalize changelog

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Sep 2019 09:14:21 +0900

cinnamon-menus (4.2.0-1) experimental; urgency=medium

  * New upstream release (4.2.0)
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:54:00 +0900

cinnamon-menus (4.0.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.0)

  [ Maximiliano Curia ]
  * Add a debian/salsa-ci.yml file
  * Add a basic gbp.conf
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:48 -0300

## cinnamon-menus 4.2.0+cindy

=== debian/changelog ===
cinnamon-menus (4.2.0+cindy) tina; urgency=medium

  [ Pino Toscano ]
  * Switch to modern realpath() (#20)

  [ Stephen Collins ]
  * Port to meson (#21)

  [ Leigh Scott ]
  * Update for meson changes and also adapt for cinnamon (#23)

  [ Stephen Collins ]
  * Build: fix the build options (#22)
  * Add devhelp docs to cinnamon menus for easier reference (#24)

  [ Clement Lefebvre ]
  * Build: Set enable_debug to false

  [ Leigh Scott ]
  * Add option to disable docs (#25)

  [ Eli Schwartz ]
  * Cleanup (#26)
  * Meson simplification (#27)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:33:32 +0200

cinnamon-menus (4.0.0) tessa; urgency=medium

  * CI: Remove Mint 18

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 14:07:22 +0000

## cinnamon-menus 4.2.0+tina

=== debian/changelog ===
cinnamon-menus (4.2.0+tina) tina; urgency=medium

  [ Pino Toscano ]
  * Switch to modern realpath() (#20)

  [ Stephen Collins ]
  * Port to meson (#21)

  [ Leigh Scott ]
  * Update for meson changes and also adapt for cinnamon (#23)

  [ Stephen Collins ]
  * Build: fix the build options (#22)
  * Add devhelp docs to cinnamon menus for easier reference (#24)

  [ Clement Lefebvre ]
  * Build: Set enable_debug to false

  [ Leigh Scott ]
  * Add option to disable docs (#25)

  [ Eli Schwartz ]
  * Cleanup (#26)
  * Meson simplification (#27)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:33:32 +0200

## cinnamon-menus 4.4.0

=== meson_options.txt ===
option('deprecated_warnings',
	type: 'boolean',
	value: true,
	description: 'Show build warnings for deprecations'
)
option('enable_debug',
	type: 'boolean',
	value: true,
	description: 'Enable debugging'
)
option('enable_docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)

=== debian/changelog ===
cinnamon-menus (4.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:38:50 +0900

cinnamon-menus (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0 (no functional change, only version update)

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 09:47:19 +0900

=== debian/control ===
Source: cinnamon-menus
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Homepage: http://cinnamon.linuxmint.com
Build-Depends:
 debhelper (>= 11~),
 gnome-pkg-tools,
 gobject-introspection (>= 0.9.12-4~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.0),
 libgirepository1.0-dev (>= 0.10.7-1~),
 libglib2.0-dev (>= 2.30.0),
 meson
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-menus
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-menus.git

Package: gir1.2-cmenu-3.0
Section: introspection
Architecture: any
Depends:
 libcinnamon-menu-3-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Cinnamon menu library
 This package contains introspection data for Cinnamon menu, an
 implementation of the desktop menu specification from freedesktop.org.
 .
 It can be used by languages supporting dynamic bindings with
 the GIRepository format.
Breaks: cinnamon (<< 3.8)

Package: libcinnamon-menu-3-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the shared library.
Breaks: cinnamon (<< 3.8), cinnamon-control-center (<< 3.8)

Package: libcinnamon-menu-3-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cmenu-3.0 (= ${binary:Version}),
 libcinnamon-menu-3-0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.30.0),
 ${misc:Depends},
Replaces: gir-repository-dev (<< 0.6.5-6)
Description: Cinnamon implementation of the freedesktop menu specification
 The package contains an implementation of the draft
 "Desktop Menu Specification" from freedesktop.org:
 .
 http://www.freedesktop.org/Standards/menu-spec
 .
 This package contains the development headers.

## cinnamon-menus 4.4.0+tricia

=== debian/changelog ===
cinnamon-menus (4.4.0+tricia) tricia; urgency=medium

  * 4.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 11:44:53 +0100

cinnamon-menus (4.2.0) tina; urgency=medium

  [ Pino Toscano ]
  * Switch to modern realpath() (#20)

  [ Stephen Collins ]
  * Port to meson (#21)

  [ Leigh Scott ]
  * Update for meson changes and also adapt for cinnamon (#23)

  [ Stephen Collins ]
  * Build: fix the build options (#22)
  * Add devhelp docs to cinnamon menus for easier reference (#24)

  [ Clement Lefebvre ]
  * Build: Set enable_debug to false

  [ Leigh Scott ]
  * Add option to disable docs (#25)

  [ Eli Schwartz ]
  * Cleanup (#26)
  * Meson simplification (#27)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:33:32 +0200

## cinnamon-menus 4.6.1

=== debian/changelog ===
cinnamon-menus (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:54:19 +0900

cinnamon-menus (4.6.0-1) experimental; urgency=medium

  * New upstream version 4.6.0

 -- Norbert Preining <norbert@preining.info>  Wed, 13 May 2020 22:26:36 +0900

## cinnamon-menus 4.6.1%2Bulyana

=== debian/changelog ===
cinnamon-menus (4.6.1+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * debian/rules: Don't disable debugging.
  * gmenu-tree.c: Return a basename if no appinfo is available when sorting.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 13:44:23 +0100

cinnamon-menus (4.6.0) ulyana; urgency=medium

  * 4.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 13:47:30 +0100

cinnamon-menus (4.4.0) tricia; urgency=medium

  * 4.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 11:44:53 +0100

## cinnamon-menus 4.8.2

=== debian/changelog ===
cinnamon-menus (4.8.2-3) unstable; urgency=high

  * Dump cinnamon breaks version to 4.8 (Closes: #977890)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 22 Dec 2020 14:34:48 +0100

cinnamon-menus (4.8.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:58 +0900

cinnamon-menus (4.8.2-1) experimental; urgency=medium

  * New upstream version 4.8.2

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 22:38:38 +0900

cinnamon-menus (4.8.1-1) experimental; urgency=medium

  * New upstream version 4.8.1
  * update symbols

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:34:12 +0900

## cinnamon-menus 4.8.3

=== debian/changelog ===
cinnamon-menus (4.8.3-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream bugfix version 4.8.3

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Mar 2021 13:51:38 +0900

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  .
  It can be used by languages supporting dynamic bindings with
  the GIRepository format.
-Breaks: cinnamon (<< 3.8)
+Breaks: cinnamon (<< 4.8~)
 
 Package: libcinnamon-menu-3-0
 Section: libs
@@ -49,7 +49,7 @@
  http://www.freedesktop.org/Standards/menu-spec
  .
  This package contains the shared library.
-Breaks: cinnamon (<< 3.8), cinnamon-control-center (<< 3.8)
+Breaks: cinnamon (<< 4.8~), cinnamon-control-center (<< 4.8~)
 
 Package: libcinnamon-menu-3-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-D enable_docs=true

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_clean:
	-dh_auto_clean

## cinnamon-menus 4.8.3%2Bulyssa

=== debian/changelog ===
cinnamon-menus (4.8.3+ulyssa) ulyssa; urgency=medium

  [ Lars Mueller ]
  * Prevent a crash when changing a desktop file to a malformed format

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Feb 2021 16:12:56 +0000

cinnamon-menus (4.8.2) ulyssa; urgency=medium

  [ Lars Mueller ]
  * Fix loading of desktop files in subdirectories

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:19:48 +0000

cinnamon-menus (4.8.1) ulyssa; urgency=medium

  [ Cobinja ]
  * Fix handling of malformed desktop files (#40)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2020 13:47:03 +0000

cinnamon-menus (4.8.0) ulyssa; urgency=medium

  [ Clement Lefebvre ]
  * CI: Update targets

  [ Lars Mueller ]
  * Improve integration of flatpak apps
  * Fixed the license

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 13:03:35 +0000

cinnamon-menus (4.6.1) ulyana; urgency=medium

  [ Michael Webster ]
  * debian/rules: Don't disable debugging.
  * gmenu-tree.c: Return a basename if no appinfo is available when sorting.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 13:44:23 +0100

## cinnamon-menus 5.0.0

=== debian/changelog ===
cinnamon-menus (5.0.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:18:43 +0900

cinnamon-menus (5.0.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.0
  * Use debhelper-compat and dump to dh-compat 13

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:18:12 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Norbert Preining <norbert@preining.info>
 Homepage: http://cinnamon.linuxmint.com
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  gnome-pkg-tools,
  gobject-introspection (>= 0.9.12-4~),
  gtk-doc-tools (>= 1.4),
@@ -36,7 +36,7 @@
  .
  It can be used by languages supporting dynamic bindings with
  the GIRepository format.
-Breaks: cinnamon (<< 4.8~)
+Breaks: cinnamon (<< 5.0~)
 
 Package: libcinnamon-menu-3-0
 Section: libs
@@ -49,7 +49,7 @@
  http://www.freedesktop.org/Standards/menu-spec
  .
  This package contains the shared library.
-Breaks: cinnamon (<< 4.8~), cinnamon-control-center (<< 4.8~)
+Breaks: cinnamon (<< 5.0~), cinnamon-control-center (<< 5.0~)
 
 Package: libcinnamon-menu-3-dev
 Section: libdevel

## cinnamon-menus 5.0.0%2Bdebbie

=== debian/changelog ===
cinnamon-menus (5.0.0+debbie) uma; urgency=medium

  * 5.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 15:04:30 +0100

cinnamon-menus (4.8.3) ulyssa; urgency=medium

  [ Lars Mueller ]
  * Prevent a crash when changing a desktop file to a malformed format

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Feb 2021 16:12:56 +0000

## cinnamon-menus 5.0.0+uma

=== debian/changelog ===
cinnamon-menus (5.0.0+uma) uma; urgency=medium

  * 5.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 15:04:30 +0100

## cinnamon-menus 5.2.0

=== debian/changelog ===
cinnamon-menus (5.2.0-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 25 Jan 2022 13:46:05 +0100

cinnamon-menus (5.2.0-1) experimental; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 5.2.0
  * Add myself as uploader, bump version dependencies to cinnamon 5.2.0x
  * Bump standards-version to 4.6.0.1 - add rules-requires-root field
  * Symbols: Add missing Build-Depends-Package field
  * Remove useless --as-needed linker flag and dh_auto_clean override

  [ Fabio Fantoni ]
  * d/rules:
    - fail on missing as default
    - hardening from bindnow to all
  * Add dh-sequence-gir to build-deps

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Thu, 18 Nov 2021 16:04:40 -0500

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,22 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Homepage: http://cinnamon.linuxmint.com
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
  gnome-pkg-tools,
- gobject-introspection (>= 0.9.12-4~),
+ gobject-introspection (>= 1.58.3-2),
  gtk-doc-tools (>= 1.4),
  intltool (>= 0.40.0),
  libgirepository1.0-dev (>= 0.10.7-1~),
  libglib2.0-dev (>= 2.30.0),
  meson
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-menus
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-menus.git
 
@@ -28,15 +32,14 @@
  libcinnamon-menu-3-0 (= ${binary:Version}),
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
-Conflicts: gobject-introspection-repository
+ ${shlibs:Depends}
 Description: GObject introspection data for the Cinnamon menu library
  This package contains introspection data for Cinnamon menu, an
  implementation of the desktop menu specification from freedesktop.org.
  .
  It can be used by languages supporting dynamic bindings with
  the GIRepository format.
-Breaks: cinnamon (<< 5.0~)
+Breaks: cinnamon (<< 5.2~)
 
 Package: libcinnamon-menu-3-0
 Section: libs
@@ -49,7 +52,7 @@
  http://www.freedesktop.org/Standards/menu-spec
  .
  This package contains the shared library.
-Breaks: cinnamon (<< 5.0~), cinnamon-control-center (<< 5.0~)
+Breaks: cinnamon (<< 5.2~), cinnamon-control-center (<< 5.2~)
 
 Package: libcinnamon-menu-3-dev
 Section: libdevel
@@ -58,8 +61,7 @@
  gir1.2-cmenu-3.0 (= ${binary:Version}),
  libcinnamon-menu-3-0 (= ${binary:Version}),
  libglib2.0-dev (>= 2.30.0),
- ${misc:Depends},
-Replaces: gir-repository-dev (<< 0.6.5-6)
+ ${misc:Depends}
 Description: Cinnamon implementation of the freedesktop menu specification
  The package contains an implementation of the draft
  "Desktop Menu Specification" from freedesktop.org:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-D enable_docs=true

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cinnamon-menus-$1.tar.gz%" \
   https://github.com/linuxmint/cinnamon-menus/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cinnamon-menus 5.2.0%2Buna

=== debian/changelog ===
cinnamon-menus (5.2.0+una) una; urgency=medium

  [ Oliver Kästner ]
  * update packaging (#53)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:12:04 +0000

cinnamon-menus (5.0.0) uma; urgency=medium

  * 5.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 15:04:30 +0100

## cinnamon-menus 5.4.0

=== debian/changelog ===
cinnamon-menus (5.4.0-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 5.4.0
  * Simplify watch file
  * Fix whitespace

  [ Fabio Fantoni ]
  * d/control: improve short description of libcinnamon-menu-3-dev

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 01 Jul 2022 14:17:13 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libgirepository1.0-dev (>= 0.10.7-1~),
  libglib2.0-dev (>= 2.30.0),
  meson
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-menus
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-menus.git
@@ -62,7 +62,7 @@
  libcinnamon-menu-3-0 (= ${binary:Version}),
  libglib2.0-dev (>= 2.30.0),
  ${misc:Depends}
-Description: Cinnamon implementation of the freedesktop menu specification
+Description: Development files for the Cinnamon menu library
  The package contains an implementation of the draft
  "Desktop Menu Specification" from freedesktop.org:
  .

## cinnamon-menus 5.4.0%2Bvanessa

=== debian/changelog ===
cinnamon-menus (5.4.0+vanessa) vanessa; urgency=medium

  [ Clement Lefebvre ]
  * CI: Update targets

  [ Michael Webster ]
  * Restore and update debian/ symbols file.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:04:14 +0200

cinnamon-menus (5.2.0) una; urgency=medium

  [ Oliver Kästner ]
  * update packaging (#53)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:12:04 +0000

## cinnamon-menus 5.6.0

=== debian/changelog ===
cinnamon-menus (5.6.0-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 5.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 15 Nov 2022 20:48:34 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
  debhelper-compat (= 13),
  dh-sequence-gir,
  gnome-pkg-tools,
- gobject-introspection (>= 1.58.3-2),
- gtk-doc-tools (>= 1.4),
- intltool (>= 0.40.0),
- libgirepository1.0-dev (>= 0.10.7-1~),
- libglib2.0-dev (>= 2.30.0),
+ gobject-introspection,
+ gtk-doc-tools,
+ intltool,
+ libgirepository1.0-dev,
+ libglib2.0-dev,
  meson
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -60,7 +60,7 @@
 Depends:
  gir1.2-cmenu-3.0 (= ${binary:Version}),
  libcinnamon-menu-3-0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.30.0),
+ libglib2.0-dev,
  ${misc:Depends}
 Description: Development files for the Cinnamon menu library
  The package contains an implementation of the draft
